Summary:	High-performance CORBA Object Request Broker
Name:		ORBit
Version:	0.5.17
Release:	1
License:	LGPL/GPL
Group:		Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/ORBit/%{name}-%{version}.tar.bz2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	libIDL
%define		_sysconfdir	/etc

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to send
requests and receive replies from other programs, regardless of the
locations of the two programs. CORBA is an architecture that enables
communication between program objects, regardless of the programming
language they're written in or the operating system they run on.

%package 	devel
Summary:	Header files, and utilities for ORBit
Group:		Development
Provides:	libIDL-devel
%description 	devel
devel ORBit is a high-performance CORBA ORB with support for the C
language. It allows programs to send requests and receive replies from
other programs, regardless of the locations of the two programs.

This package includes the header files and utilities neecessary to
write programs that use CORBA technology.

%prep
%setup  -q

%build
libtoolize --copy --force
aclocal
autoconf
automake -a -c
CFLAGS="-Os -mcpu=i386 -fno-strength-reduce"
%configure --disable-nls --without-included-gettext
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/usr/include && ln -sf libIDL-* libIDL
cd $RPM_BUILD_ROOT/usr/include/libIDL-* && ln -sf libIDL/IDL.h IDL.h

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/usr/lib/*.la
/usr/lib/*.sh
/usr/lib/*.so
/usr/lib/*.so.*

%files devel
%defattr (-,root,root)
/usr/lib/*.a
/usr/lib/pkgconfig
/usr/share
/usr/include
/usr/bin
